/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package mqc.ior;

/**
* The TCPxIIOP profile class.
*
* @author Eivind Naess
*/
public class IIOPProfile extends TaggedProfile
{
   /**
    * Constructor for the IIOPProfile
	*/ 
   public IIOPProfile()
   {
      super(TaggedProfile.IIOP);
   }

   /**
    * Encodes a corbaloc profile for the IIOP
	*
	* @param corbalocStr The String to return
	* @return Encoded Corbaloc profile based on IIOP
	*/
   public String encodeCorbalocProfile(String corbalocStr)
   {
      corbalocStr = super.encodeCorbalocProfile ("iiop");
      return corbalocStr;
   }

   /**
    * Overides clone in object
	* @return A copy of itself
	*/ 
   public Object clone ()
   {
      IIOPProfile profile = new IIOPProfile();
      profile.objectKey = new byte[objectKey.length];
      System.arraycopy(objectKey, 0, profile.objectKey, 0, objectKey.length);
      profile.seqLen = seqLen;
      profile.major = major;
      profile.minor = minor;
      profile.host = host;
      profile.port = port;
      profile.bigEndian = bigEndian;
      return profile;
   }
}
