/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package mqc.ior;

/**
* The UDPxMQCIOP profile class.
*
* @author Eivind Naess
*/
public class UMQCIOPProfile extends TaggedProfile
{

  /**
   * Constructor for UMQCIOPProfile
   */
   public UMQCIOPProfile()
   {
      super(TaggedProfile.UMQCIOP);
   }
  
  /**
   * Encodes a corbaloc String from this profile (UMQCIOP)
   * @param corbalocStr String buffer
   * @return a Corbaloc formated String
   */
   public String encodeCorbalocProfile(String corbalocStr)
   {
      corbalocStr = super.encodeCorbalocProfile ("umqciop");
      return corbalocStr;
   }

  /**
   * Overides Clone in Object
   * @return a copy of itself
   */
   public Object clone ()
   {
      UMQCIOPProfile profile = new UMQCIOPProfile();
      profile.objectKey = new byte[objectKey.length];
      System.arraycopy(objectKey, 0, profile.objectKey, 0, objectKey.length);
      profile.seqLen = seqLen;
      profile.major = major;
      profile.minor = minor;
      profile.host = host;
      profile.port = port;
      profile.bigEndian = bigEndian;
      return profile;
   }
}
